stateref-0.3: Abstraction for things that work like IORef.

Safe Haskell | Safe-Inferred
Language | Haskell98

Data.MRef

Synopsis

- takeMRef :: MRef m a -> m a
- putMRef :: MRef m a -> a -> m ()
- module Data.MRef.Types
- module Data.MRef.Instances

# Documentation

takeMRef :: MRef m a -> m a Source #

See `takeMRef`.

putMRef :: MRef m a -> a -> m () Source #

See `putMRef`.

module Data.MRef.Types

module Data.MRef.Instances